Bug 224 - неверные дефолтные значения параметров печати
: неверные дефолтные значения параметров печати
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/cups)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
: 7371
  Show dependency tree
 
Reported: 2001-12-11 18:20 by
Modified: 2009-08-14 18:09 (History)


Attachments
0000224-lp.ppd (deleted)
2001-12-11 18:20, Aleksey Barabanov
no flags Details
the fix I made to /etc/cups/ppd/lp.ppd get better print-outs (377 bytes, text/plain)
2004-05-24 20:51, Ivan Zakharyaschev
no flags Details
the final ppd (18.28 KB, text/plain)
2004-05-24 20:52, Ivan Zakharyaschev
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2001-12-11 18:20:38
При настройке CUPS для печати на принтер HP LJ 4 по дефолту устанавливаются
600dpi, Letter. Кроме того у A4 неверные границы печати. Соответственно надо
300dpi,A4 и для ImageableArrea первое значение где-нибудь 18.60
---

---
Возможно эти проблемы присущи и другим описаниям принтеров. Правиться все в
редакторе в файле /etc/cups/ppd/lp.ppd.
Извините, репорт пишу из SuSE, в котором такая же ляпа ;) кстати, но по этой
причине, имея другое разбиение на пакеты, возможно ошибаюсь с локализацией
ошибки. Может она лежит и в cups-drivers. 
------- Comment #1 From 2001-12-13 11:34:04 -------

    
------- Comment #2 From 2001-12-13 11:34:04 -------

    
------- Comment #3 From 2001-12-13 11:58:22 -------
Разрешение и размер бумаги по умолчанию поменяю
А вот на значания, указанные в ImageableArrea драйвер похоже не обращает
внимание.

Я проверял на Lexmark Optra 312L - HP совместимом.

Действительно ли стоит менять эти цифры?
------- Comment #4 From 2001-12-13 11:58:22 -------
Разрешение и размер бумаги по умолчанию поменяю
А вот на значания, указанные в ImageableArrea драйвер похоже не обращает
внимание.

Я проверял на Lexmark Optra 312L - HP совместимом.

Действительно ли стоит менять эти цифры?
------- Comment #5 From 2001-12-24 16:27:49 -------
Кажется я исправил это
------- Comment #6 From 2001-12-24 16:27:49 -------
Кажется я исправил это
------- Comment #7 From 2004-05-24 20:51:02 -------
Created an attachment (id=410) [details]
the fix I made to /etc/cups/ppd/lp.ppd get better print-outs

The original lp.ppd was created after I configured the printer with
printerdrake: HP LJ 6L , ghostscript + ljet4.

Then I made the changes that are in the attached patch.
------- Comment #8 From 2004-05-24 20:52:27 -------
Created an attachment (id=411) [details]
the final ppd

This is the file after the changes in patch 410 were applied.
------- Comment #9 From 2004-05-24 20:57:57 -------
У меня проблемы с ImageableArea для HP LJ 6L: после конфигурации принтера
(printerdrake) там стоят такие значения, что при печати plain text краёв текста
не видно на бумаге. После моих исправлений отступ видного текста от края
составляет около 0.5 см.

Тестирую я так:

lp -P 1 /usr/share/doc/ppp-2.4.1.20031003/FAQ

и смотрю, всё ли влезло и читается.


При конфигурации в printerdrake выбирался HP LJ 6L с ghostscript + ljet4.

Стоят такие пакеты:

$ rpm -qa '*foomatic*'
foomatic-db-3.0.1-alt1.20040428
foomatic-filters-3.0.1-alt0.20040428
foomatic-3.0.1-alt1.20040128
foomatic-db-engine-3.0.1-alt2.20040428
$ rpm -qa '*cups*'
ghostscript-cups-7.07.1-alt1
libqtcups-2.1-ipl6mdk
cups-common-1.1.20-alt0.9
qtcups-2.1-ipl6mdk
cups-1.1.20-alt0.9
libcups-1.1.20-alt0.9
$ rpm -qa '*print*'
libgimp-print-4.2.6-alt1
gimp-print-CUPS-4.2.6-alt1
gimp-print-4.2.6-alt1
libgnomeprint2-2.4.2-alt1
libgnomeprint-0.36-alt5
gimp-print-plugin-4.2.6-alt1
gnome-print-0.36-alt5
g-print-0.2-ipl11mdk
libgnomeprintui-2.4.2-alt1
$ rpm -qa '*Omni*'
Omni-0.7.3-alt0.4
$ rpm -qf /usr/sbin/printerdrake 
drakxtools-newt-1.1.7-alt33
------- Comment #10 From 2004-05-24 21:00:35 -------
(In reply to comment #9)
> не видно на бумаге. После моих исправлений отступ видного текста от края
> составляет около 0.5 см.

Да, новые значения -- в attachments.
------- Comment #11 From 2006-09-27 21:06:53 -------
Кстати, с Letter по умолчанию вплоть до ALC3.0 действительно наблюдалась беда.
Сейчас толком не скажу, надо будет на свежую голову в cups посмотреть.
------- Comment #12 From 2007-11-13 13:50:28 -------
Кажется, это (s/Letter/A4/g) недавно исправлялось как раз сузешным патчем?
------- Comment #13 From 2009-01-10 01:10:00 -------
Господа, посмотрите, это всё ещё актуально?
------- Comment #14 From 2009-01-12 13:19:48 -------
Я с полгода назад на каком-то принтере таки словил Letter по-умолчанию в Альте,
но в основном проблема вылечена :)
------- Comment #15 From 2009-08-14 18:09:32 -------
Да, теперь это скорее проблемы отдельных PPD, которые ловить и мочить в
индивидуальном порядке.